<div class="gene-count-ratio">
  <div class="modal-header">
    <h3 class="modal-title">{{gene_count_ratio.insightLabel}}
      <button type="button" class="btn btn-default" style="float:right;" ng-mousedown="gene_count_ratio.close()">
        <i class="fa fa-2x fa-times"></i>
      </button>
      <div style="clear:right;"></div>
    </h3>
  </div>
  <div class="modal-body">
    <ol class="breadcrumb">
      <li ng-repeat="rank in gene_count_ratio.availableRanks">
        <a href="#" ng-mousedown="gene_count_ratio.selectRank(rank)" ng-class="{'bold': gene_count_ratio.selectedRank === rank}">
          {{gene_count_ratio.getRankLabel(rank)}}</a> <i class="fa fa-spinner fa-pulse" ng-show="gene_count_ratio.selectedRank === rank && gene_count_ratio.loading"></i>
      </li>
    </ol>
    <nvd3 ng-show="gene_count_ratio.selectedRank !== ''"
          config="gene_count_ratio.config"
          options="gene_count_ratio.chart.options"
          data="gene_count_ratio.chart.data"
          api="gene_count_ratio.chart.api"></nvd3>
    <div ng-show="gene_count_ratio.selectedRank === ''">
      <div class="alert alert-success" role="alert">
        <i class="fa fa-arrow-up"></i> Please choose one of the phylogenetic ranks above.
      </div>
    </div>
  </div>
  <div class="modal-footer">

  </div>
</div>